Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
InputEvent Struct Reference

Generic input event. More...

`#include <event.h>`

Inheritance diagram for InputEvent:

## Public Member Functions
| InputEvent ()
Public Member Functions inherited from Event
| Event ()

## Public Attributes
U32 | deviceInst
| Device instance: joystick0, joystick1, etc. More...
S32 | iValue
| Handy for tracking IDs of things like fingers, hands, etc. More...
float | fValues [7]
| Stores the evemt data. Sometimes only one with a range of -1.0 - 1.0 is needed, other times it might be multiple vectors. More...
U16 | deviceType
| One of mouse, keyboard, joystick, unknown. More...
U16 | objType
| One of SI_XAXIS, SI_BUTTON, SI_KEY ... More...
U16 | ascii
| ASCII character code if this is a keyboard event. More...
U16 | objInst
| Which type instance or a KeyCode. More...
U8 | action
| What was the action? (MAKE/BREAK/MOVE) More...
U8 | modifier
| Modifier to action: SI_LSHIFT, SI_LCTRL, etc. More...
char | fingersX [256]
| Collection of x-coordinates for fingers. More...
char | fingersY [256]
| Collection of y-coordinates for fingers. More...
char | fingersZ [256]
| Collection of Z-coordinates for fingers. More...
char | fingerIDs [256]
| Collection of touch IDs. More...
Public Attributes inherited from Event
U16 | type
U16 | size

## Detailed Description

Generic input event.

## Constructor & Destructor Documentation

InputEvent | ( |  | ) |
| inline

## Member Data Documentation

U8 action

What was the action? (MAKE/BREAK/MOVE)

U16 ascii

ASCII character code if this is a keyboard event.

U32 deviceInst

Device instance: joystick0, joystick1, etc.

U16 deviceType

One of mouse, keyboard, joystick, unknown.

char fingerIDs[256]

Collection of touch IDs.

char fingersX[256]

Collection of x-coordinates for fingers.

char fingersY[256]

Collection of y-coordinates for fingers.

char fingersZ[256]

Collection of Z-coordinates for fingers.

float fValues[7]

Stores the evemt data. Sometimes only one with a range of -1.0 - 1.0 is needed, other times it might be multiple vectors.

S32 iValue

Handy for tracking IDs of things like fingers, hands, etc.

U8 modifier

Modifier to action: SI_LSHIFT, SI_LCTRL, etc.

U16 objInst

Which type instance or a KeyCode.

U16 objType

One of SI_XAXIS, SI_BUTTON, SI_KEY ...

The documentation for this struct was generated from the following file:

- platform/event.h